// Diagram.cpp: implementation of the Diagram class.
//
//////////////////////////////////////////////////////////////////////

#include "stdafx.h"
#include "Vizsgarendszer.h"
#include "Diagram.h"
#include "Uzenet_DLG.h"

#ifdef _DEBUG
#undef THIS_FILE
static char THIS_FILE[]=__FILE__;
#define new DEBUG_NEW
#endif

//////////////////////////////////////////////////////////////////////
// Construction/Destruction
//////////////////////////////////////////////////////////////////////

Diagram::Diagram()
{
	x1,x2,y1,y2, szoveg_x, szoveg_y, grafikon_vege = 0;
	szoveg = _T("");
}

Diagram::~Diagram()
{
}

void Diagram::Rajzol(CDC *pDC)
{
	CBrush brush;
	brush.CreateSolidBrush( COLORREF( RGB(0,128,254) ) );
	pDC->SelectObject(brush);
	
	pDC->TextOut(szoveg_x, szoveg_y, szoveg);
	CRect diagram(x1,y1,x2,y2);
	pDC->Rectangle(diagram);

	CBrush brush_vege;
	brush_vege.CreateSolidBrush( COLORREF( RGB(254,254,254) ) );
	pDC->SelectObject(brush_vege);

	CRect diagram_vege(x2,y1,grafikon_vege,y2);
	pDC->Rectangle(diagram_vege);
}

void Diagram::Set_String(CString str)
{
	this->szoveg = str;
}

void Diagram::Set_Grafikon_Vege(int x){
	this->grafikon_vege = x;
}

void Diagram::Set_Diagram(int x1, int y1, int x2, int y2)
{
	this->x1 = x1;
	this->x2 = x2;
	this->y1 = y1;
	this->y2 = y2;
}

void Diagram::Set_String_Helye(int x, int y){
	this->szoveg_x = x;
	this->szoveg_y = y;
}
