// VizsgarendszerDoc.h : interface of the CVizsgarendszerDoc class
//
/////////////////////////////////////////////////////////////////////////////

#if !defined(AFX_VIZSGARENDSZERDOC_H__B8521FAC_9820_439B_ACA2_4EB8F280861E__INCLUDED_)
#define AFX_VIZSGARENDSZERDOC_H__B8521FAC_9820_439B_ACA2_4EB8F280861E__INCLUDED_

#include "Vizsgatargy_Felvetele.h"	// Added by ClassView
#include "Vizsgara_Jelentkezes.h"
#include "afxtempl.h"
#include "Diagram.h"

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000


class CVizsgarendszerDoc : public CDocument
{
protected: // create from serialization only
	CVizsgarendszerDoc();
	DECLARE_DYNCREATE(CVizsgarendszerDoc)

// Attributes
public:
	CClientDC* pdc;
	CArray< Vizsgatargy_Felvetele, Vizsgatargy_Felvetele > vizsgatargyak_tombje;
	CArray< Vizsgara_Jelentkezes, Vizsgara_Jelentkezes > vizsgara_jelentkezettek_tombje;
	CArray< Diagram, Diagram > diagramok_tombje;
//	Diagram* dg;
// Operations
public:

// Overrides
	// ClassWizard generated virtual function overrides
	//{{AFX_VIRTUAL(CVizsgarendszerDoc)
	public:
	virtual BOOL OnNewDocument();
	virtual void Serialize(CArchive& ar);
	//}}AFX_VIRTUAL

// Implementation
public:
	int GetSizeTargyak() const;
	int GetSizeJelentkezettek() const;
	virtual ~CVizsgarendszerDoc();
#ifdef _DEBUG
	virtual void AssertValid() const;
	virtual void Dump(CDumpContext& dc) const;
#endif

protected:

// Generated message map functions
protected:
	Vizsgatargy_Felvetele Vizsga_Felvetel;
	Vizsgara_Jelentkezes Jelentkezes;
	//{{AFX_MSG(CVizsgarendszerDoc)
	afx_msg void OnVizsgaMeghirdetese();
	afx_msg void OnTargyakListazasa();
	afx_msg void OnUpdateTargyakListazasa(CCmdUI* pCmdUI);
	afx_msg void OnVizsgaraJelentkezes();
	afx_msg void OnUpdateVizsgaraJelentkezes(CCmdUI* pCmdUI);
	afx_msg void OnVizsgakListaja();
	afx_msg void OnUpdateVizsgakListaja(CCmdUI* pCmdUI);
	//}}AFX_MSG
	DECLARE_MESSAGE_MAP()
};

/////////////////////////////////////////////////////////////////////////////

//{{AFX_INSERT_LOCATION}}
// Microsoft Visual C++ will insert additional declarations immediately before the previous line.

#endif // !defined(AFX_VIZSGARENDSZERDOC_H__B8521FAC_9820_439B_ACA2_4EB8F280861E__INCLUDED_)
