// Vizsgatargy_Felvetele.cpp: implementation of the Vizsgatargy_Felvetele class.
//
//////////////////////////////////////////////////////////////////////

#include "stdafx.h"
#include "Vizsgarendszer.h"
#include "Vizsgatargy_Felvetele.h"

#ifdef _DEBUG
#undef THIS_FILE
static char THIS_FILE[]=__FILE__;
#define new DEBUG_NEW
#endif

//////////////////////////////////////////////////////////////////////
// Construction/Destruction
//////////////////////////////////////////////////////////////////////

Vizsgatargy_Felvetele::Vizsgatargy_Felvetele()
{
	Max_Letszam = 0;
	Eddigi_Letszam = 0;
	Targy_Neve = _T("");
	Vizsga_Helye = _T("");
	Vizsgaztato = _T("");
}

Vizsgatargy_Felvetele::~Vizsgatargy_Felvetele()
{

}

void Vizsgatargy_Felvetele::Set_Max_Letszam(int i)
{
	Max_Letszam = i;
}

void Vizsgatargy_Felvetele::Set_Targy_Neve(CString s)
{
	Targy_Neve = s;
}

void Vizsgatargy_Felvetele::Set_Vizsga_Ideje(COleDateTime date)
{
	Vizsga_Ideje = date;
}

void Vizsgatargy_Felvetele::Set_Vizsga_Helye(CString s)
{
	Vizsga_Helye = s;
}

void Vizsgatargy_Felvetele::Set_Vizsgaztato(CString s)
{
	Vizsgaztato = s;
}

void Vizsgatargy_Felvetele::Set_Eddigi_Letszam(int i)
{
	Eddigi_Letszam = Eddigi_Letszam + i;
}


int Vizsgatargy_Felvetele::Get_Eddigi_Letszam()
{
	return Eddigi_Letszam;
}

int Vizsgatargy_Felvetele::Get_Max_Letszam()
{
	return Max_Letszam;
}

CString Vizsgatargy_Felvetele::Get_Targy_Neve()
{
	return Targy_Neve;
}

CString Vizsgatargy_Felvetele::Get_Vizsga_Helye()
{
	return Vizsga_Helye;
}

CString Vizsgatargy_Felvetele::Get_Vizsgaztato()
{
	return Vizsgaztato;
}


COleDateTime Vizsgatargy_Felvetele::Get_Vizsga_Ideje()
{
	return Vizsga_Ideje;
}

void Vizsgatargy_Felvetele::Get(CArchive &ar)
{
	ar.ReadString(Targy_Neve);
	ar.Read(&Vizsga_Ideje, sizeof(COleDateTime));
	ar.ReadString(Vizsga_Helye);
	ar.Read(&Max_Letszam, sizeof(int));
	ar.Read(&Eddigi_Letszam, sizeof(int));
	ar.ReadString(Vizsgaztato);
}

void Vizsgatargy_Felvetele::Put(CArchive &ar)
{
	ar.WriteString(Targy_Neve+"\n");
	ar.Write(&Vizsga_Ideje, sizeof(COleDateTime));
	ar.WriteString(Vizsga_Helye+"\n");
	ar.Write(&Max_Letszam, sizeof(int));
	ar.Write(&Eddigi_Letszam, sizeof(int));
	ar.WriteString(Vizsgaztato+"\n");
}
