// Vizsgatargy_Listazasa_DLG.cpp : implementation file
//

#include "stdafx.h"
#include "Vizsgarendszer.h"
#include "VizsgarendszerDoc.h"
#include "Vizsgatargy_Listazasa_DLG.h"
#include "Vizsgatargy_Felvetele_DLG.h"
#include "Uzenet_DLG.h"

#ifdef _DEBUG
#define new DEBUG_NEW
#undef THIS_FILE
static char THIS_FILE[] = __FILE__;
#endif

/////////////////////////////////////////////////////////////////////////////
// Vizsgatargy_Listazasa_DLG dialog


Vizsgatargy_Listazasa_DLG::Vizsgatargy_Listazasa_DLG(CWnd* pParent /*=NULL*/)
	: CDialog(Vizsgatargy_Listazasa_DLG::IDD, pParent)
{
	//{{AFX_DATA_INIT(Vizsgatargy_Listazasa_DLG)
	//}}AFX_DATA_INIT
}


void Vizsgatargy_Listazasa_DLG::DoDataExchange(CDataExchange* pDX)
{
	CDialog::DoDataExchange(pDX);
	//{{AFX_DATA_MAP(Vizsgatargy_Listazasa_DLG)
	DDX_Control(pDX, IDC_VIZSGATARGY_LISTA, Vizsgatargyak_Listaja);
	//}}AFX_DATA_MAP
}


BEGIN_MESSAGE_MAP(Vizsgatargy_Listazasa_DLG, CDialog)
	//{{AFX_MSG_MAP(Vizsgatargy_Listazasa_DLG)
	ON_BN_CLICKED(IDC_TOROL, OnTorol)
	ON_NOTIFY(NM_CLICK, IDC_VIZSGATARGY_LISTA, OnClickVizsgatargyLista)
	ON_BN_CLICKED(IDC_MODOSIT, OnModosit)
	//}}AFX_MSG_MAP
END_MESSAGE_MAP()

/////////////////////////////////////////////////////////////////////////////
// Vizsgatargy_Listazasa_DLG message handlers

BOOL Vizsgatargy_Listazasa_DLG::OnInitDialog() 
{
	CDialog::OnInitDialog();
	CString str;

	Vizsgatargyak_Listaja.InsertColumn(1,"Trgy neve",LVCFMT_LEFT,140);
	Vizsgatargyak_Listaja.InsertColumn(2,"Vizsga idpontja",LVCFMT_LEFT,80);
	Vizsgatargyak_Listaja.InsertColumn(3,"Vizsga helye",LVCFMT_LEFT,100);
	Vizsgatargyak_Listaja.InsertColumn(4,"Ltszm",LVCFMT_RIGHT,70);
	Vizsgatargyak_Listaja.InsertColumn(5,"Vizsgztat",LVCFMT_LEFT,100);
	
	for(int i=0; i<doc->GetSizeTargyak(); i++){
		Vizsgatargyak_Listaja.InsertItem( i, doc->vizsgatargyak_tombje[i].Get_Targy_Neve() );
		
		str = doc->vizsgatargyak_tombje[i].Get_Vizsga_Ideje().Format(_T("%Y %B %d, %H:%M"));
		Vizsgatargyak_Listaja.SetItemText( i, 1, str );

		Vizsgatargyak_Listaja.SetItemText( i, 2, doc->vizsgatargyak_tombje[i].Get_Vizsga_Helye() );
		
		str.Format( "%d\\%d", doc->vizsgatargyak_tombje[i].Get_Max_Letszam(), doc->vizsgatargyak_tombje[i].Get_Eddigi_Letszam() );
		Vizsgatargyak_Listaja.SetItemText( i, 3, str );

		Vizsgatargyak_Listaja.SetItemText( i, 4, doc->vizsgatargyak_tombje[i].Get_Vizsgaztato() );
		
	}
	return TRUE;
}

void Vizsgatargy_Listazasa_DLG::SetDocument(CVizsgarendszerDoc *s)
{
	doc = s;
}

void Vizsgatargy_Listazasa_DLG::OnTorol() 
{
	if ( selected > -1 ){
		Uzenet_DLG uzi;
		uzi.Set_Uzenet("Figyelem!\n\nA vizsgzk errl a vizsgrl trldtek,\n mert a vizsga megsznt!");
		uzi.DoModal();
		doc->vizsgatargyak_tombje.RemoveAt(selected);
		Vizsgatargyak_Listaja.DeleteItem(selected);
		for ( int i=0; i < doc->GetSizeJelentkezettek(); i++ ){
			if ( doc->vizsgara_jelentkezettek_tombje[i].Get_Vizsga_ID() == selected ){
				doc->vizsgara_jelentkezettek_tombje.RemoveAt(i);
				doc->SetModifiedFlag(TRUE);
			}
		}
	} else{
		Uzenet_DLG uzi;
		uzi.Set_Uzenet("\n\nVlassz ki egy trgyat!");
		uzi.DoModal();
	}
	selected = -1;
}

void Vizsgatargy_Listazasa_DLG::OnClickVizsgatargyLista(NMHDR* pNMHDR, LRESULT* pResult) 
{
	selected = Vizsgatargyak_Listaja.GetNextItem(-1,LVNI_ALL|LVNI_SELECTED);
	*pResult = 0;
}

void Vizsgatargy_Listazasa_DLG::OnModosit() 
{
	if ( selected > -1 ){
		Vizsgatargy_Felvetele ink;
		int i = selected;
		
		Vizsgatargy_Felvetele_DLG mod;
		mod.Set_Vizsgatargy_Felvetele( doc->vizsgatargyak_tombje[selected] );
		mod.DoModal();
		mod.Get_Vizsgatargy_Felvetele(ink);		
		
		ink.Set_Eddigi_Letszam( doc->vizsgatargyak_tombje[selected].Get_Eddigi_Letszam() );

		if ( ink.Get_Eddigi_Letszam() <= ink.Get_Max_Letszam() ){
			doc->vizsgatargyak_tombje[selected] = ink;
			CString str;
		
			Vizsgatargyak_Listaja.SetItemText( i, 0, doc->vizsgatargyak_tombje[i].Get_Targy_Neve() );
			str = doc->vizsgatargyak_tombje[i].Get_Vizsga_Ideje().Format(_T("%Y %B %d, %H:%M"));
			Vizsgatargyak_Listaja.SetItemText( i, 1, str );
			Vizsgatargyak_Listaja.SetItemText( i, 2, doc->vizsgatargyak_tombje[i].Get_Vizsga_Helye() );
			str.Format( "%d\\%d", doc->vizsgatargyak_tombje[i].Get_Max_Letszam(), doc->vizsgatargyak_tombje[i].Get_Eddigi_Letszam() );
			Vizsgatargyak_Listaja.SetItemText( i, 3, str );
			Vizsgatargyak_Listaja.SetItemText( i, 4, doc->vizsgatargyak_tombje[i].Get_Vizsgaztato() );
		
			doc->SetModifiedFlag(TRUE);
		} else{
			Uzenet_DLG uzi;
			uzi.Set_Uzenet("\nHiba!\nTl kicsire lltottad a Maxltszmot!");
			uzi.DoModal();
		}
	} else{
		Uzenet_DLG uzi;
		uzi.Set_Uzenet("\n\nVlassz ki egy trgyat!");
		uzi.DoModal();
	}
	selected = -1;
}
