// Jegybeiras_DLG.cpp : implementation file
//

#include "stdafx.h"
#include "Vizsgarendszer.h"
#include "Jegybeiras_DLG.h"

#ifdef _DEBUG
#define new DEBUG_NEW
#undef THIS_FILE
static char THIS_FILE[] = __FILE__;
#endif

/////////////////////////////////////////////////////////////////////////////
// Jegybeiras_DLG dialog


Jegybeiras_DLG::Jegybeiras_DLG(CWnd* pParent /*=NULL*/)
	: CDialog(Jegybeiras_DLG::IDD, pParent)
{
	//{{AFX_DATA_INIT(Jegybeiras_DLG)
	Azonosito = _T("");
	Nev = _T("");
	Jegy = 0;
	Szoveg = _T("");
	//}}AFX_DATA_INIT
}


void Jegybeiras_DLG::DoDataExchange(CDataExchange* pDX)
{
	CDialog::DoDataExchange(pDX);
	//{{AFX_DATA_MAP(Jegybeiras_DLG)
	DDX_Text(pDX, IDC_AZONOSITO, Azonosito);
	DDX_Text(pDX, IDC_NEV, Nev);
	DDX_Text(pDX, IDC_JEGY, Jegy);
	DDX_Text(pDX, IDC_SZOVEG, Szoveg);
	//}}AFX_DATA_MAP
}


BEGIN_MESSAGE_MAP(Jegybeiras_DLG, CDialog)
	//{{AFX_MSG_MAP(Jegybeiras_DLG)
	ON_EN_CHANGE(IDC_JEGY, OnChangeJegy)
	//}}AFX_MSG_MAP
END_MESSAGE_MAP()

/////////////////////////////////////////////////////////////////////////////
// Jegybeiras_DLG message handlers

void Jegybeiras_DLG::Set_Jegybeiras_DLG(Vizsgara_Jelentkezes &Jegybeiras)
{
	Nev = Jegybeiras.Get_Nev();
	Azonosito = Jegybeiras.Get_Azonosito();
	Jegy = Jegybeiras.Get_Jegy();
	switch (Jegy){
		case -1 : Szoveg = "Nincs jegy bervan!"; break;
		case 0 : Szoveg = "Nem jelent meg a vizsgn."; break;
		case 1 : Szoveg = "Egyes"; break;
		case 2 : Szoveg = "Kettes"; break;
		case 3 : Szoveg = "Hrmas"; break;
		case 4 : Szoveg = "Ngyes"; break;
		case 5 : Szoveg = "ts"; break;
	}
}

void Jegybeiras_DLG::Get_Jegybeiras_DLG(Vizsgara_Jelentkezes &Jegybeiras)
{
	Jegybeiras.Set_Azonosito(Azonosito);
	Jegybeiras.Set_Jegy(Jegy);
	Jegybeiras.Set_Nev(Nev);
}

void Jegybeiras_DLG::OnChangeJegy() 
{
	UpdateData(TRUE);
	switch (Jegy){
		case -1 : Szoveg = "Nincs jegy bervan!"; break;
		case 0 : Szoveg = "Nem jelent meg a vizsgn."; break;
		case 1 : Szoveg = "Egyes"; break;
		case 2 : Szoveg = "Kettes"; break;
		case 3 : Szoveg = "Hrmas"; break;
		case 4 : Szoveg = "Ngyes"; break;
		case 5 : Szoveg = "ts"; break;
		default : Szoveg = "0 s 5 kztti szmot rj be!"; break;
	}
	UpdateData(FALSE);
}
