// Vizsgara_Jelentkezes_DLG.cpp : implementation file
//

#include "stdafx.h"
#include "Vizsgarendszer.h"
#include "Vizsgara_Jelentkezes.h"
#include "Vizsgara_Jelentkezes_DLG.h"
#include "Uzenet_DLG.h"

#ifdef _DEBUG
#define new DEBUG_NEW
#undef THIS_FILE
static char THIS_FILE[] = __FILE__;
#endif

/////////////////////////////////////////////////////////////////////////////
// Vizsgara_Jelentkezes_DLG dialog


Vizsgara_Jelentkezes_DLG::Vizsgara_Jelentkezes_DLG(CWnd* pParent /*=NULL*/)
	: CDialog(Vizsgara_Jelentkezes_DLG::IDD, pParent)
{
	//{{AFX_DATA_INIT(Vizsgara_Jelentkezes_DLG)
	Muvelet = 0;
	Azonosito = _T("");
	Nev = _T("");
	//}}AFX_DATA_INIT
}

void Vizsgara_Jelentkezes_DLG::DoDataExchange(CDataExchange* pDX) 
{
	CDialog::DoDataExchange(pDX);
	//{{AFX_DATA_MAP(Vizsgara_Jelentkezes_DLG)
	DDX_Control(pDX, IDC_TARGYAK_LISTAJA, Targyak_Listaja);
	DDX_Radio(pDX, IDC_FELIRATKOZAS, Muvelet);
	DDX_Text(pDX, IDC_AZONOSITO, Azonosito);
	DDX_Text(pDX, IDC_NEV, Nev);
	//}}AFX_DATA_MAP
}

BEGIN_MESSAGE_MAP(Vizsgara_Jelentkezes_DLG, CDialog)
	//{{AFX_MSG_MAP(Vizsgara_Jelentkezes_DLG)
	ON_BN_CLICKED(IDC_OK, OnOk)
	ON_BN_CLICKED(IDC_FELIRATKOZAS, OnFeliratkozas)
	ON_BN_CLICKED(IDC_LEIRATKOZAS, OnLeiratkozas)
	ON_NOTIFY(NM_CLICK, IDC_TARGYAK_LISTAJA, OnClickTargyakListaja)
	ON_EN_CHANGE(IDC_NEV, OnChangeNev)
	ON_EN_CHANGE(IDC_AZONOSITO, OnChangeAzonosito)
	//}}AFX_MSG_MAP
END_MESSAGE_MAP()

/////////////////////////////////////////////////////////////////////////////
// Vizsgara_Jelentkezes_DLG message handlers

BOOL Vizsgara_Jelentkezes_DLG::OnInitDialog() 
{
	CDialog::OnInitDialog();
	CString str;

	Targyak_Listaja.InsertColumn(1,"Trgy neve",LVCFMT_LEFT,140);
	Targyak_Listaja.InsertColumn(2,"Vizsga idpontja",LVCFMT_LEFT,80);
	Targyak_Listaja.InsertColumn(3,"Vizsga helye",LVCFMT_LEFT,100);
	Targyak_Listaja.InsertColumn(4,"Ltszm",LVCFMT_RIGHT,70);
	Targyak_Listaja.InsertColumn(5,"Vizsgztat",LVCFMT_LEFT,100);
	return TRUE;
}

void Vizsgara_Jelentkezes_DLG::SetDocument(CVizsgarendszerDoc *s)
{
	doc = s;
}

void Vizsgara_Jelentkezes_DLG::Get_Vizsgara_Jelentkezes(Vizsgara_Jelentkezes &Jelentkezes)
{
	Jelentkezes.Set_Nev(Nev);
	Jelentkezes.Set_Azonosito(Azonosito);
}


void Vizsgara_Jelentkezes_DLG::Set_Vizsgara_Jelentkezes( Vizsgara_Jelentkezes &Jelentkezes)
{
	Nev = Jelentkezes.Get_Nev();
	Azonosito = Jelentkezes.Get_Azonosito();
}

void Vizsgara_Jelentkezes_DLG::OnOk() 
{
	Vizsgara_Jelentkezes Jelentkezes;
	UpdateData(TRUE);
	
	if ( Muvelet == 0 ){
		if ( selected > -1 ){
			Get_Vizsgara_Jelentkezes( Jelentkezes );
			for (int i = 0; i < doc->GetSizeTargyak(); i++ ){
				if ( Targyak_Listaja.GetItemText(selected, 0) == doc->vizsgatargyak_tombje[i].Get_Targy_Neve() &&
					 Targyak_Listaja.GetItemText(selected, 1) == doc->vizsgatargyak_tombje[i].Get_Vizsga_Ideje().Format(_T("%Y %B %d, %H:%M")) &&
					 Targyak_Listaja.GetItemText(selected, 2) == doc->vizsgatargyak_tombje[i].Get_Vizsga_Helye() &&
					 Targyak_Listaja.GetItemText(selected, 4) == doc->vizsgatargyak_tombje[i].Get_Vizsgaztato()
					 ){
					if ( doc->vizsgatargyak_tombje[i].Get_Eddigi_Letszam() < doc->vizsgatargyak_tombje[i].Get_Max_Letszam() ){
						if ( doc->vizsgatargyak_tombje[i].Get_Vizsga_Ideje().Format(_T("%Y %B %d, %H:%M")) > COleDateTime::GetCurrentTime().Format(_T("%Y %B %d, %H:%M")) ){
							Jelentkezes.Set_Vizsga_ID( i );
							doc->vizsgatargyak_tombje[i].Set_Eddigi_Letszam(1);
							Jelentkezes.Set_Jegy( -1 );
							doc->vizsgara_jelentkezettek_tombje.Add(Jelentkezes);
							Targyak_Listaja.DeleteItem(selected);
							doc->SetModifiedFlag(TRUE);
						} else{
							Uzenet_DLG uzi;
							uzi.Set_Uzenet("\nHiba\nErre a vizsgra mr nem lehet jelentkezni!");
							uzi.DoModal();
							break;
						}
					} else{
						Uzenet_DLG uzi;
						uzi.Set_Uzenet("\nHiba\nEz a vizsga mr betelt!");
						uzi.DoModal();
					}
					break;
				}
			}
		} else{
			Uzenet_DLG uzi;
			uzi.Set_Uzenet("\nHiba!\nNem jelltl ki trgyat!");
			uzi.DoModal();
		}
	} else{
		if ( selected > -1 ){
			for(int i = 0; i < doc->GetSizeTargyak() ;i++){
				if ( Targyak_Listaja.GetItemText(selected, 0) == doc->vizsgatargyak_tombje[i].Get_Targy_Neve() &&
					 Targyak_Listaja.GetItemText(selected, 1) == doc->vizsgatargyak_tombje[i].Get_Vizsga_Ideje().Format(_T("%Y %B %d, %H:%M")) &&
					 Targyak_Listaja.GetItemText(selected, 2) == doc->vizsgatargyak_tombje[i].Get_Vizsga_Helye() &&
					 Targyak_Listaja.GetItemText(selected, 4) == doc->vizsgatargyak_tombje[i].Get_Vizsgaztato()
					 ){
					if ( doc->vizsgatargyak_tombje[i].Get_Vizsga_Ideje().Format(_T("%Y %B %d, %H:%M")) <= COleDateTime::GetCurrentTime().Format(_T("%Y %B %d, %H:%M")) ){
						Uzenet_DLG uzi;
						uzi.Set_Uzenet("\nHiba!\nMr nem tudsz lejelentkezni errl a vizsgrl!");
						uzi.DoModal();
						break;
					}
					doc->vizsgatargyak_tombje[i].Set_Eddigi_Letszam(-1);
					for( int j = 0; j<doc->GetSizeJelentkezettek(); j++){
						if ( doc->vizsgara_jelentkezettek_tombje[j].Get_Azonosito() == Azonosito &&
							doc->vizsgara_jelentkezettek_tombje[j].Get_Nev() == Nev &&
							doc->vizsgara_jelentkezettek_tombje[j].Get_Vizsga_ID() == i
							){
							doc->vizsgara_jelentkezettek_tombje.RemoveAt(j);
							Targyak_Listaja.DeleteItem(selected);
							doc->SetModifiedFlag(TRUE);
							break;
						}
					}
					break;
				}
			}
		} else{
			Uzenet_DLG uzi;
			uzi.Set_Uzenet("\nHiba!\nNem vlasztottl ki trgyat!");
			uzi.DoModal();
		}
	}
	selected = -1;
	UpdateData(FALSE);
}

void Vizsgara_Jelentkezes_DLG::OnFeliratkozas() 
{
	CString str;
	int x = -1;

	UpdateData(TRUE);
	
	Targyak_Listaja.DeleteAllItems();
	if ( Nev.GetLength() > 0  && Azonosito.GetLength() > 0){
		for(int i = 0; i < doc->GetSizeTargyak(); i++){
			if ( doc->GetSizeJelentkezettek() == 0 ){
				x++;
				Targyak_Listaja.InsertItem( x, doc->vizsgatargyak_tombje[i].Get_Targy_Neve() );
				str = doc->vizsgatargyak_tombje[i].Get_Vizsga_Ideje().Format(_T("%Y %B %d, %H:%M"));
				Targyak_Listaja.SetItemText( x, 1, str );
				Targyak_Listaja.SetItemText( x, 2, doc->vizsgatargyak_tombje[i].Get_Vizsga_Helye() );
				str.Format( "%d\\%d", doc->vizsgatargyak_tombje[i].Get_Max_Letszam(), doc->vizsgatargyak_tombje[i].Get_Eddigi_Letszam() );
				Targyak_Listaja.SetItemText( x, 3, str );
				Targyak_Listaja.SetItemText( x, 4, doc->vizsgatargyak_tombje[i].Get_Vizsgaztato() );
			} else{
				int kerdez;
				for(int j = 0; j < doc->GetSizeJelentkezettek(); j++){
					kerdez = j;
					if ( doc->vizsgara_jelentkezettek_tombje[j].Get_Vizsga_ID() == i && doc->vizsgara_jelentkezettek_tombje[j].Get_Azonosito() == Azonosito && doc->vizsgara_jelentkezettek_tombje[j].Get_Nev() == Nev){
						break;
					}
				}
				if ( !(doc->vizsgara_jelentkezettek_tombje[kerdez].Get_Vizsga_ID() == i && doc->vizsgara_jelentkezettek_tombje[kerdez].Get_Azonosito() == Azonosito && doc->vizsgara_jelentkezettek_tombje[kerdez].Get_Nev() == Nev) ){
					x++;
					Targyak_Listaja.InsertItem( x, doc->vizsgatargyak_tombje[i].Get_Targy_Neve() );
					str = doc->vizsgatargyak_tombje[i].Get_Vizsga_Ideje().Format(_T("%Y %B %d, %H:%M"));
					Targyak_Listaja.SetItemText( x, 1, str );
					Targyak_Listaja.SetItemText( x, 2, doc->vizsgatargyak_tombje[i].Get_Vizsga_Helye() );
					str.Format( "%d\\%d", doc->vizsgatargyak_tombje[i].Get_Max_Letszam(), doc->vizsgatargyak_tombje[i].Get_Eddigi_Letszam() );
					Targyak_Listaja.SetItemText( x, 3, str );
					Targyak_Listaja.SetItemText( x, 4, doc->vizsgatargyak_tombje[i].Get_Vizsgaztato() );
				}
			}
		}
	}
	selected = -1;
	UpdateData(FALSE);
}

void Vizsgara_Jelentkezes_DLG::OnLeiratkozas() 
{
	CString str;
	int x = -1;

	UpdateData(TRUE);
	
	Targyak_Listaja.DeleteAllItems();
	for(int i=0; i<doc->GetSizeJelentkezettek(); i++){
		if ( doc->vizsgara_jelentkezettek_tombje[i].Get_Nev() == Nev && doc->vizsgara_jelentkezettek_tombje[i].Get_Azonosito() == Azonosito ){
			x++;
			Targyak_Listaja.InsertItem( x, doc->vizsgatargyak_tombje[ doc->vizsgara_jelentkezettek_tombje[i].Get_Vizsga_ID() ].Get_Targy_Neve() );
			str = doc->vizsgatargyak_tombje[ doc->vizsgara_jelentkezettek_tombje[i].Get_Vizsga_ID() ].Get_Vizsga_Ideje().Format(_T("%Y %B %d, %H:%M"));
			Targyak_Listaja.SetItemText( x, 1, str );
			Targyak_Listaja.SetItemText( x, 2, doc->vizsgatargyak_tombje[ doc->vizsgara_jelentkezettek_tombje[i].Get_Vizsga_ID() ].Get_Vizsga_Helye() );
			str.Format( "%d\\%d", doc->vizsgatargyak_tombje[ doc->vizsgara_jelentkezettek_tombje[i].Get_Vizsga_ID()].Get_Max_Letszam(), doc->vizsgatargyak_tombje[ doc->vizsgara_jelentkezettek_tombje[i].Get_Vizsga_ID() ].Get_Eddigi_Letszam() );
			Targyak_Listaja.SetItemText( x, 3, str );
			Targyak_Listaja.SetItemText( x, 4, doc->vizsgatargyak_tombje[ doc->vizsgara_jelentkezettek_tombje[i].Get_Vizsga_ID() ].Get_Vizsgaztato() );
		}
	}
	selected = -1;
	UpdateData(FALSE);
}

void Vizsgara_Jelentkezes_DLG::OnClickTargyakListaja(NMHDR* pNMHDR, LRESULT* pResult) 
{
	selected = Targyak_Listaja.GetNextItem(-1,LVNI_ALL|LVNI_SELECTED);
	*pResult = 0;
}

void Vizsgara_Jelentkezes_DLG::OnChangeNev() 
{
	CString str;
	int x = -1;

	UpdateData(TRUE);
	
	Targyak_Listaja.DeleteAllItems();
	
	if ( Muvelet == 0 ){
		if ( Nev.GetLength() > 0  && Azonosito.GetLength() > 0){
			for(int i = 0; i < doc->GetSizeTargyak(); i++){
				if ( doc->GetSizeJelentkezettek() == 0 ){
					x++;
					Targyak_Listaja.InsertItem( x, doc->vizsgatargyak_tombje[i].Get_Targy_Neve() );
					str = doc->vizsgatargyak_tombje[i].Get_Vizsga_Ideje().Format(_T("%Y %B %d, %H:%M"));
					Targyak_Listaja.SetItemText( x, 1, str );
					Targyak_Listaja.SetItemText( x, 2, doc->vizsgatargyak_tombje[i].Get_Vizsga_Helye() );
					str.Format( "%d\\%d", doc->vizsgatargyak_tombje[i].Get_Max_Letszam(), doc->vizsgatargyak_tombje[i].Get_Eddigi_Letszam() );
					Targyak_Listaja.SetItemText( x, 3, str );
					Targyak_Listaja.SetItemText( x, 4, doc->vizsgatargyak_tombje[i].Get_Vizsgaztato() );
				} else{
					int kerdez;
					for(int j = 0; j < doc->GetSizeJelentkezettek(); j++){
						kerdez = j;
						if ( doc->vizsgara_jelentkezettek_tombje[j].Get_Vizsga_ID() == i && doc->vizsgara_jelentkezettek_tombje[j].Get_Azonosito() == Azonosito && doc->vizsgara_jelentkezettek_tombje[j].Get_Nev() == Nev){
							break;
						}
					}
					if ( !(doc->vizsgara_jelentkezettek_tombje[kerdez].Get_Vizsga_ID() == i && doc->vizsgara_jelentkezettek_tombje[kerdez].Get_Azonosito() == Azonosito && doc->vizsgara_jelentkezettek_tombje[kerdez].Get_Nev() == Nev) ){
						x++;
						Targyak_Listaja.InsertItem( x, doc->vizsgatargyak_tombje[i].Get_Targy_Neve() );
						str = doc->vizsgatargyak_tombje[i].Get_Vizsga_Ideje().Format(_T("%Y %B %d, %H:%M"));
						Targyak_Listaja.SetItemText( x, 1, str );
						Targyak_Listaja.SetItemText( x, 2, doc->vizsgatargyak_tombje[i].Get_Vizsga_Helye() );
						str.Format( "%d\\%d", doc->vizsgatargyak_tombje[i].Get_Max_Letszam(), doc->vizsgatargyak_tombje[i].Get_Eddigi_Letszam() );
						Targyak_Listaja.SetItemText( x, 3, str );
						Targyak_Listaja.SetItemText( x, 4, doc->vizsgatargyak_tombje[i].Get_Vizsgaztato() );
					}
				}
			}
		}
	} else{
		for(int i=0; i<doc->GetSizeJelentkezettek(); i++){
			if ( doc->vizsgara_jelentkezettek_tombje[i].Get_Nev() == Nev && doc->vizsgara_jelentkezettek_tombje[i].Get_Azonosito() == Azonosito ){
				x++;
				Targyak_Listaja.InsertItem( x, doc->vizsgatargyak_tombje[ doc->vizsgara_jelentkezettek_tombje[i].Get_Vizsga_ID() ].Get_Targy_Neve() );
				str = doc->vizsgatargyak_tombje[ doc->vizsgara_jelentkezettek_tombje[i].Get_Vizsga_ID() ].Get_Vizsga_Ideje().Format(_T("%Y %B %d, %H:%M"));
				Targyak_Listaja.SetItemText( x, 1, str );
				Targyak_Listaja.SetItemText( x, 2, doc->vizsgatargyak_tombje[ doc->vizsgara_jelentkezettek_tombje[i].Get_Vizsga_ID() ].Get_Vizsga_Helye() );
				str.Format( "%d\\%d", doc->vizsgatargyak_tombje[ doc->vizsgara_jelentkezettek_tombje[i].Get_Vizsga_ID()].Get_Max_Letszam(), doc->vizsgatargyak_tombje[ doc->vizsgara_jelentkezettek_tombje[i].Get_Vizsga_ID() ].Get_Eddigi_Letszam() );
				Targyak_Listaja.SetItemText( x, 3, str );
				Targyak_Listaja.SetItemText( x, 4, doc->vizsgatargyak_tombje[ doc->vizsgara_jelentkezettek_tombje[i].Get_Vizsga_ID() ].Get_Vizsgaztato() );
			}
		}
	}
	selected = -1;
	UpdateData(FALSE);
}

void Vizsgara_Jelentkezes_DLG::OnChangeAzonosito() 
{
	CString str;
	int x = -1;

	UpdateData(TRUE);
	
	Targyak_Listaja.DeleteAllItems();
	
	if ( Muvelet == 0 ){
		if ( Nev.GetLength() > 0  && Azonosito.GetLength() > 0){
			for(int i = 0; i < doc->GetSizeTargyak(); i++){
				if ( doc->GetSizeJelentkezettek() == 0 ){
					x++;
					Targyak_Listaja.InsertItem( x, doc->vizsgatargyak_tombje[i].Get_Targy_Neve() );
					str = doc->vizsgatargyak_tombje[i].Get_Vizsga_Ideje().Format(_T("%Y %B %d, %H:%M"));
					Targyak_Listaja.SetItemText( x, 1, str );
					Targyak_Listaja.SetItemText( x, 2, doc->vizsgatargyak_tombje[i].Get_Vizsga_Helye() );
					str.Format( "%d\\%d", doc->vizsgatargyak_tombje[i].Get_Max_Letszam(), doc->vizsgatargyak_tombje[i].Get_Eddigi_Letszam() );
					Targyak_Listaja.SetItemText( x, 3, str );
					Targyak_Listaja.SetItemText( x, 4, doc->vizsgatargyak_tombje[i].Get_Vizsgaztato() );
				} else{
					int kerdez;
					for(int j = 0; j < doc->GetSizeJelentkezettek(); j++){
						kerdez = j;
						if ( doc->vizsgara_jelentkezettek_tombje[j].Get_Vizsga_ID() == i && doc->vizsgara_jelentkezettek_tombje[j].Get_Azonosito() == Azonosito && doc->vizsgara_jelentkezettek_tombje[j].Get_Nev() == Nev){
							break;
						}
					}
					if ( !(doc->vizsgara_jelentkezettek_tombje[kerdez].Get_Vizsga_ID() == i && doc->vizsgara_jelentkezettek_tombje[kerdez].Get_Azonosito() == Azonosito && doc->vizsgara_jelentkezettek_tombje[kerdez].Get_Nev() == Nev) ){
						x++;
						Targyak_Listaja.InsertItem( x, doc->vizsgatargyak_tombje[i].Get_Targy_Neve() );
						str = doc->vizsgatargyak_tombje[i].Get_Vizsga_Ideje().Format(_T("%Y %B %d, %H:%M"));
						Targyak_Listaja.SetItemText( x, 1, str );
						Targyak_Listaja.SetItemText( x, 2, doc->vizsgatargyak_tombje[i].Get_Vizsga_Helye() );
						str.Format( "%d\\%d", doc->vizsgatargyak_tombje[i].Get_Max_Letszam(), doc->vizsgatargyak_tombje[i].Get_Eddigi_Letszam() );
						Targyak_Listaja.SetItemText( x, 3, str );
						Targyak_Listaja.SetItemText( x, 4, doc->vizsgatargyak_tombje[i].Get_Vizsgaztato() );
					}
				}
			}
		}
	} else{
		for(int i=0; i<doc->GetSizeJelentkezettek(); i++){
			if ( doc->vizsgara_jelentkezettek_tombje[i].Get_Nev() == Nev && doc->vizsgara_jelentkezettek_tombje[i].Get_Azonosito() == Azonosito ){
				x++;
				Targyak_Listaja.InsertItem( x, doc->vizsgatargyak_tombje[ doc->vizsgara_jelentkezettek_tombje[i].Get_Vizsga_ID() ].Get_Targy_Neve() );
				str = doc->vizsgatargyak_tombje[ doc->vizsgara_jelentkezettek_tombje[i].Get_Vizsga_ID() ].Get_Vizsga_Ideje().Format(_T("%Y %B %d, %H:%M"));
				Targyak_Listaja.SetItemText( x, 1, str );
				Targyak_Listaja.SetItemText( x, 2, doc->vizsgatargyak_tombje[ doc->vizsgara_jelentkezettek_tombje[i].Get_Vizsga_ID() ].Get_Vizsga_Helye() );
				str.Format( "%d\\%d", doc->vizsgatargyak_tombje[ doc->vizsgara_jelentkezettek_tombje[i].Get_Vizsga_ID()].Get_Max_Letszam(), doc->vizsgatargyak_tombje[ doc->vizsgara_jelentkezettek_tombje[i].Get_Vizsga_ID() ].Get_Eddigi_Letszam() );
				Targyak_Listaja.SetItemText( x, 3, str );
				Targyak_Listaja.SetItemText( x, 4, doc->vizsgatargyak_tombje[ doc->vizsgara_jelentkezettek_tombje[i].Get_Vizsga_ID() ].Get_Vizsgaztato() );
			}
		}
	}
	selected = -1;
	UpdateData(FALSE);
}
