// Vizsgazok_Listaja_DLG.cpp : implementation file
//

#include "stdafx.h"
#include "Vizsgarendszer.h"
#include "VizsgarendszerDoc.h"
#include "Vizsgazok_Listaja_DLG.h"
#include "Jegybeiras_DLG.h"
#include "Uzenet_DLG.h"
#include "Diagram.h"

#ifdef _DEBUG
#define new DEBUG_NEW
#undef THIS_FILE
static char THIS_FILE[] = __FILE__;
#endif

/////////////////////////////////////////////////////////////////////////////
// Vizsgazok_Listaja_DLG dialog


Vizsgazok_Listaja_DLG::Vizsgazok_Listaja_DLG(CWnd* pParent /*=NULL*/)
	: CDialog(Vizsgazok_Listaja_DLG::IDD, pParent)
{
	//{{AFX_DATA_INIT(Vizsgazok_Listaja_DLG)
		// NOTE: the ClassWizard will add member initialization here
	//}}AFX_DATA_INIT

}


void Vizsgazok_Listaja_DLG::DoDataExchange(CDataExchange* pDX)
{
	CDialog::DoDataExchange(pDX);
	//{{AFX_DATA_MAP(Vizsgazok_Listaja_DLG)
	DDX_Control(pDX, IDC_VIZSGAK_LISTAJA, Vizsgak_Listaja);
	DDX_Control(pDX, IDC_VIZSGAZOK_LISTAJA, Vizsgazok_Listaja);
	//}}AFX_DATA_MAP
}


BEGIN_MESSAGE_MAP(Vizsgazok_Listaja_DLG, CDialog)
	//{{AFX_MSG_MAP(Vizsgazok_Listaja_DLG)
	ON_NOTIFY(NM_CLICK, IDC_VIZSGAZOK_LISTAJA, OnClickVizsgazokListaja)
	ON_BN_CLICKED(ID_JEGYBEIRAS, OnJegybeiras)
	ON_NOTIFY(NM_CLICK, IDC_VIZSGAK_LISTAJA, OnClickVizsgakListaja)
	ON_BN_CLICKED(ID_Grafikon, OnGrafikon)
	//}}AFX_MSG_MAP
END_MESSAGE_MAP()

/////////////////////////////////////////////////////////////////////////////
// Vizsgazok_Listaja_DLG message handlers

BOOL Vizsgazok_Listaja_DLG::OnInitDialog() 
{
	CDialog::OnInitDialog();
	CString str;
	int x = -1;

	Vizsgazok_Listaja.InsertColumn(1,"Nv",LVCFMT_LEFT,120);
	Vizsgazok_Listaja.InsertColumn(2,"Azonost",LVCFMT_LEFT,60);
	Vizsgazok_Listaja.InsertColumn(3,"Jegy",LVCFMT_LEFT,40);

	Vizsgak_Listaja.InsertColumn(1,"Trgy",LVCFMT_LEFT,120);
	Vizsgak_Listaja.InsertColumn(2,"Vizsga_Helye",LVCFMT_LEFT,120);
	Vizsgak_Listaja.InsertColumn(3,"Vizsga_Ideje",LVCFMT_LEFT,120);
	Vizsgak_Listaja.InsertColumn(4,"Vizsgztat",LVCFMT_LEFT,120);
	
	for (int i = 0; i < doc->GetSizeTargyak(); i++){
		if ( doc->vizsgatargyak_tombje[i].Get_Eddigi_Letszam() > 0){
			x++;
			Vizsgak_Listaja.InsertItem( x, doc->vizsgatargyak_tombje[i].Get_Targy_Neve() );
			Vizsgak_Listaja.SetItemText( x, 1, doc->vizsgatargyak_tombje[i].Get_Vizsga_Helye() );
			str = doc->vizsgatargyak_tombje[i].Get_Vizsga_Ideje().Format(_T("%Y %B %d, %H:%M"));
			Vizsgak_Listaja.SetItemText( x, 2, str );
			Vizsgak_Listaja.SetItemText( x, 3, doc->vizsgatargyak_tombje[i].Get_Vizsgaztato() );
		}
	}
	return TRUE;
}

void Vizsgazok_Listaja_DLG::SetDocument(CVizsgarendszerDoc *s)
{
	doc = s;
}

void Vizsgazok_Listaja_DLG::OnClickVizsgazokListaja(NMHDR* pNMHDR, LRESULT* pResult) 
{
	selected_vizsgazo = Vizsgazok_Listaja.GetNextItem(-1,LVNI_ALL|LVNI_SELECTED);
	*pResult = 0;
}

void Vizsgazok_Listaja_DLG::OnClickVizsgakListaja(NMHDR* pNMHDR, LRESULT* pResult) 
{
	selected_vizsga = Vizsgak_Listaja.GetNextItem(-1,LVNI_ALL|LVNI_SELECTED);
	Vizsgazok_Listaja.DeleteAllItems();
	int x = -1;
	CString str;
	for (int i = 0; i < doc->GetSizeTargyak(); i++){
		if ( Vizsgak_Listaja.GetItemText(selected_vizsga, 0) == doc->vizsgatargyak_tombje[i].Get_Targy_Neve() &&
			 Vizsgak_Listaja.GetItemText(selected_vizsga, 1) == doc->vizsgatargyak_tombje[i].Get_Vizsga_Helye() &&
			 Vizsgak_Listaja.GetItemText(selected_vizsga, 2) == doc->vizsgatargyak_tombje[i].Get_Vizsga_Ideje().Format(_T("%Y %B %d, %H:%M")) &&
			 Vizsgak_Listaja.GetItemText(selected_vizsga, 3) == doc->vizsgatargyak_tombje[i].Get_Vizsgaztato()
			){
			for (int j = 0; j < doc->GetSizeJelentkezettek(); j++){
				if ( doc->vizsgara_jelentkezettek_tombje[j].Get_Vizsga_ID() == i ){
					x++;
					Vizsgazok_Listaja.InsertItem( x, doc->vizsgara_jelentkezettek_tombje[j].Get_Nev() );
					Vizsgazok_Listaja.SetItemText( x, 1, doc->vizsgara_jelentkezettek_tombje[j].Get_Azonosito() );
					str.Format("%d", doc->vizsgara_jelentkezettek_tombje[j].Get_Jegy() );
					Vizsgazok_Listaja.SetItemText( x, 2, str );
				}
			}
			break;
		}
	}
	*pResult = 0;
}

void Vizsgazok_Listaja_DLG::OnJegybeiras()
{
	UpdateData();

	if ( selected_vizsga > -1 && selected_vizsgazo > -1 ){
		Vizsgara_Jelentkezes ink;
		Jegybeiras_DLG mod;

		for (int i = 0; i < doc->GetSizeTargyak(); i++ ){
			if ( Vizsgak_Listaja.GetItemText(selected_vizsga, 0) == doc->vizsgatargyak_tombje[i].Get_Targy_Neve() &&
				 Vizsgak_Listaja.GetItemText(selected_vizsga, 1) == doc->vizsgatargyak_tombje[i].Get_Vizsga_Helye() && 
				 Vizsgak_Listaja.GetItemText(selected_vizsga, 2) == doc->vizsgatargyak_tombje[i].Get_Vizsga_Ideje().Format(_T("%Y %B %d, %H:%M")) &&
				 Vizsgak_Listaja.GetItemText(selected_vizsga, 3) == doc->vizsgatargyak_tombje[i].Get_Vizsgaztato()
				 ){
				for (int j = 0; j < doc->GetSizeJelentkezettek(); j++ ){
					if ( Vizsgazok_Listaja.GetItemText( selected_vizsgazo, 0) == doc->vizsgara_jelentkezettek_tombje[j].Get_Nev() &&
						 Vizsgazok_Listaja.GetItemText( selected_vizsgazo, 1) == doc->vizsgara_jelentkezettek_tombje[j].Get_Azonosito() &&
						 i == doc->vizsgara_jelentkezettek_tombje[j].Get_Vizsga_ID()
						 ){
						mod.Set_Jegybeiras_DLG( doc->vizsgara_jelentkezettek_tombje[j] );
						mod.DoModal();
						mod.Get_Jegybeiras_DLG(ink);
						ink.Set_Vizsga_ID(i);
						if (ink.Get_Jegy() > -1 && ink.Get_Jegy() < 6 ){
							if ( Vizsgak_Listaja.GetItemText(selected_vizsga, 2) >= COleDateTime::GetCurrentTime().Format(_T("%Y %B %d, %H:%M")) && doc->vizsgatargyak_tombje[i].Get_Vizsgaztato().Find("Simon") != -1 ){
								if ( ink.Get_Jegy() != doc->vizsgara_jelentkezettek_tombje[j].Get_Jegy() ){
									Uzenet_DLG uzi;
									uzi.Set_Uzenet("\nPeti!\nElvileg mg nem lehet jegyet berni!!!\nDe Neked mindent szabad...");
									uzi.DoModal();
									doc->vizsgara_jelentkezettek_tombje[j] = ink;
									CString str;
									str.Format("%d", doc->vizsgara_jelentkezettek_tombje[j].Get_Jegy() );
									Vizsgazok_Listaja.SetItemText( selected_vizsgazo, 2, str );
									doc->SetModifiedFlag(TRUE);
								}
							} else if ( Vizsgak_Listaja.GetItemText(selected_vizsga, 2) >= COleDateTime::GetCurrentTime().Format(_T("%Y %B %d, %H:%M")) ){
								Uzenet_DLG uzi;
								uzi.Set_Uzenet("\nHiba!\nMg nem volt vizsga!\nPrbld meg a vizsgaid lejrta utn!");
								uzi.DoModal();
							} else{
								if ( ink.Get_Jegy() != doc->vizsgara_jelentkezettek_tombje[j].Get_Jegy() ){
									doc->vizsgara_jelentkezettek_tombje[j] = ink;
									CString str;
									str.Format("%d", doc->vizsgara_jelentkezettek_tombje[j].Get_Jegy() );
									Vizsgazok_Listaja.SetItemText( selected_vizsgazo, 2, str );
									doc->SetModifiedFlag(TRUE);
								}
							}
							
						} else{
							Uzenet_DLG uzi;
							uzi.Set_Uzenet("\nHiba\nRosszul adtad meg a Jegyet!");
							uzi.DoModal();
						}
						break;
					}
				}
				break;
			}
		}
	} else {
		Uzenet_DLG uzi;
		uzi.Set_Uzenet("\nHiba!\nNem vlasztottl ki vizsgt vagy vizsgzt!");
		uzi.DoModal();
	}
}

void Vizsgazok_Listaja_DLG::OnGrafikon() 
{
	if ( selected_vizsga > -1 ){
		int otos = 0, negyes = 0, harmas = 0, kettes = 0, egyes = 0, nulla = 0, nem_vizsgazottak = 0;
		CString str;

		for (int i = 0; i < doc->GetSizeTargyak(); i++ ){
			if ( Vizsgak_Listaja.GetItemText(selected_vizsga, 0) == doc->vizsgatargyak_tombje[i].Get_Targy_Neve() &&
				 Vizsgak_Listaja.GetItemText(selected_vizsga, 1) == doc->vizsgatargyak_tombje[i].Get_Vizsga_Helye() && 
				 Vizsgak_Listaja.GetItemText(selected_vizsga, 2) == doc->vizsgatargyak_tombje[i].Get_Vizsga_Ideje().Format(_T("%Y %B %d, %H:%M")) &&
				 Vizsgak_Listaja.GetItemText(selected_vizsga, 3) == doc->vizsgatargyak_tombje[i].Get_Vizsgaztato()){
					str = "Trgy neve: " + doc->vizsgatargyak_tombje[i].Get_Targy_Neve() + ";   Vizsga helye: " + doc->vizsgatargyak_tombje[i].Get_Vizsga_Helye() + ";   Vizsga ideje: " + doc->vizsgatargyak_tombje[i].Get_Vizsga_Ideje().Format(_T("%Y %B %d - %H:%M")) + ";   Vizsgztat: " + doc->vizsgatargyak_tombje[i].Get_Vizsgaztato();
					for (int j = 0; j < doc->GetSizeJelentkezettek(); j++ ){
						if (  i == doc->vizsgara_jelentkezettek_tombje[j].Get_Vizsga_ID() ){
							switch (doc->vizsgara_jelentkezettek_tombje[j].Get_Jegy()){
								case -1: nem_vizsgazottak++; break;
								case 0:	nulla++; break;
								case 1:	egyes++; break;
								case 2:	kettes++; break;
								case 3:	harmas++; break;
								case 4:	negyes++; break;
								case 5:	otos++; break;
							}
						}
					}
			}
		}
		int szorzo = 500/(nulla + egyes + kettes + harmas + negyes + otos + nem_vizsgazottak);
		Diagram dg;

		if ( doc->diagramok_tombje.GetSize() != 0 ){
			doc->diagramok_tombje.RemoveAll();
		}

		dg.Set_String(str);
		dg.Set_String_Helye(5,5);
		doc->diagramok_tombje.Add( dg );
		
		str.Format("ts (%d db):", otos);
		dg.Set_String(str);
		dg.Set_String_Helye(5,30);
		dg.Set_Grafikon_Vege(500);
		dg.Set_Diagram(0, 50, szorzo * otos, 90);
		doc->diagramok_tombje.Add( dg );
		
		str.Format("Ngyes (%d db):", negyes);
		dg.Set_String(str);
		dg.Set_String_Helye(5,110);
		dg.Set_Grafikon_Vege(500);
		dg.Set_Diagram(0, 130, szorzo * negyes, 170);
		doc->diagramok_tombje.Add( dg );
		
		str.Format("Hrmas (%d db):", harmas);
		dg.Set_String(str);
		dg.Set_String_Helye(5,190);
		dg.Set_Grafikon_Vege(500);
		dg.Set_Diagram(0, 210, szorzo * harmas, 250);
		doc->diagramok_tombje.Add( dg );
		
		str.Format("kettes (%d db):", kettes);
		dg.Set_String(str);
		dg.Set_String_Helye(5,270);
		dg.Set_Grafikon_Vege(500);
		dg.Set_Diagram(0, 290, szorzo * kettes, 330);
		doc->diagramok_tombje.Add( dg );
		
		str.Format("Egyes (%d db):", egyes);
		dg.Set_String(str);
		dg.Set_String_Helye(5,350);
		dg.Set_Grafikon_Vege(500);
		dg.Set_Diagram(0, 370, szorzo * egyes, 410);
		doc->diagramok_tombje.Add( dg );
		
		str.Format("Vizsgn nem jelent megy: (%d db):", nulla);
		dg.Set_String(str);
		dg.Set_String_Helye(5,430);
		dg.Set_Grafikon_Vege(500);
		dg.Set_Diagram(0, 450, szorzo * nulla, 490);
		doc->diagramok_tombje.Add( dg );

		str.Format("Nincs jegy berva: (%d db):", nem_vizsgazottak);
		dg.Set_String(str);
		dg.Set_String_Helye(5,510);
		dg.Set_Grafikon_Vege(500);
		dg.Set_Diagram(0, 530, szorzo * nem_vizsgazottak, 570);
		doc->diagramok_tombje.Add( dg );
		
		doc->UpdateAllViews(NULL);
	} else{
		Uzenet_DLG uzi;
		uzi.Set_Uzenet("\nHiba\nVlassz ki egy vizsgt!");
		uzi.DoModal();
	}
}
